package com.gree.mall.manager.bean.admin;

import com.gree.mall.manager.plus.entity.AdminCompanyWechat;
import com.gree.mall.manager.plus.entity.AdminUser;
import com.gree.mall.manager.plus.entity.AdminUserPermissionsRela;
import com.gree.mall.manager.plus.entity.AdminWebsit;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class AdminUserCom extends AdminUser {

    @ApiModelProperty("商户集合")
    private List<String> adminCompanyIds;

    @ApiModelProperty("商家集合")
    private List<String> adminWebsitIds;

    @ApiModelProperty("部门集合")
    private List<String> adminDeptIds;

    @ApiModelProperty("只读帐号")
    private Boolean onlyRead = false;

    @ApiModelProperty("当前登录人企业微信id")
    private String loginCompanyWechatId;

    @ApiModelProperty("当前登录人企业名称")
    private String loginCompanyName;

    @ApiModelProperty("当前登录人所使用的商户配置")
    private AdminCompanyWechat adminCompanyWechat;

    @ApiModelProperty("商家")
    private AdminWebsit adminWebsit;

    @ApiModelProperty("token")
    private String token;

    @ApiModelProperty("数据权限集合")
    private List<AdminUserPermissionsRela> permissions;

}
